print.matrix {base} | R Documentation

## Print Matrices

### Description

Pseudo-method for the `print` generic. Especially useful with the `right` argument which does not (yet) exist for `print.default`.

### Usage

    print.matrix(x, rowlab=character(0), collab=character(0),
                 quote=TRUE, right=FALSE, na.print = NULL,
                 print.gap = NULL, ...)

### Arguments

`x` | numeric or character matrix.
`rowlab,collab` | (optional) character vectors giving row or column names respectively. By default, these are taken from `dimnames(x)`.
`quote` | logical; if `TRUE` and `x` is of mode `"character"`, quotes (`"`) are used.
`right` | if `TRUE` and `x` is of mode `"character"`, the output columns are right-justified.
`na.print` | how `NA`s are printed. If this is non-null, its value is used to represent `NA`.
`print.gap` | not yet used.
`...` | arguments for other methods.

### Details

`print.matrix` and `print.default` both print matrices, and each has at least an optional argument that the other lacks. Also, both directly dispatch into `.Internal` code directly instead of relying on each other. This mainly stems from historic compatibility and similar reasons should be changed in the future.

`prmatrix` is currently just an alias for `print.matrix`.

### Value

Invisibly returns its argument, `x`.

### See Also

`print.default`, and other `print` methods.

### Examples

    print.matrix(m6 <- diag(6), row = rep("",6), coll=rep("",6))

    chm <- matrix(scan(system.file("help", "AnIndex", package = "eda"),
                       what = ""), , 2, byrow = TRUE)
    chm  #-> print.default(.)  = `same' as  print.matrix(chm)
    print.matrix(chm, collab = paste("Column",1:3), right=TRUE, quote=FALSE)

[Package Contents]